Issue 118592 - IP clearance: Remove xpdf
Summary: IP clearance: Remove xpdf
Status: CLOSED FIXED
Alias: None
Product: Build Tools
Classification: Code
Component: external prerequisites (show other issues)
Version: 4.0.0-dev
Hardware: PC All
: P3 Blocker (vote)
Target Milestone: ---
Assignee: Andre
QA Contact:
URL:
Keywords:
Depends on:
Blocks: 118566 122745
  Show dependency treegraph
 
Reported: 2011-11-10 10:28 UTC by Andre
Modified: 2013-07-15 09:05 UTC (History)
3 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: ---
Developer Difficulty: ---
awf.aoo: 3.4_release_blocker?


Attachments
Remove module xpdf (68.61 KB, patch)
2011-11-14 08:51 UTC, Andre
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this issue.
Description Andre 2011-11-10 10:28:27 UTC
The external xpdf library built from ext_sources/xpdf-3.02.tar.gz is under LGPL license and thus incompatibel with the Apache license.  Therefore it has to be removed from Apache OpenOffice.

Where system support for pdf import exists, like poppler on Linux, pdf import in OpenOffice is still possible.
Comment 1 Andre 2011-11-10 10:32:15 UTC
Blocks issue 118566.
Comment 2 Andre 2011-11-14 08:51:35 UTC
Created attachment 77012 [details]
Remove module xpdf

Removes module xpdf and references in the pdfimport code.
Comment 3 jsc 2011-11-14 14:07:05 UTC
integrated http://svn.apache.org/viewvc?rev=1201711&view=rev
Comment 4 Andre 2011-11-15 08:58:47 UTC
Fixed and integrated: setting status to RESOLVED.
Comment 5 hdu@apache.org 2012-01-30 13:35:50 UTC
Closing resolved issue.